Altibase.jdbc.driver.sharding.core

## Class ShardValueInfoPrimaryStrategy

- java.lang.Object
- - Altibase.jdbc.driver.sharding.core.ShardValueInfoPrimaryStrategy

All Implemented Interfaces:
  ShardValueInfoStrategy

    public class ShardValueInfoPrimaryStrategy
    extends java.lang.Object
    implements ShardValueInfoStrategy

### Constructor Summary

Constructors
Constructor and Description
`ShardValueInfoPrimaryStrategy(CmShardAnalyzeResult aAnalyzeResult)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addShardValue(ShardValueInfo aShardValueInfo)`
`ShardSplitMethod` `getShardSplitMethod()`
`int` `getShardValueCount()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShardValueInfoPrimaryStrategy

    public ShardValueInfoPrimaryStrategy(CmShardAnalyzeResult aAnalyzeResult)

### Method Detail

#### getShardValueCount

    public int getShardValueCount()

Specified by:
  `getShardValueCount` in interface `ShardValueInfoStrategy`

#### getShardSplitMethod

    public ShardSplitMethod getShardSplitMethod()

Specified by:
  `getShardSplitMethod` in interface `ShardValueInfoStrategy`

#### addShardValue

    public void addShardValue(ShardValueInfo aShardValueInfo)

Specified by:
  `addShardValue` in interface `ShardValueInfoStrategy`